;; This file:
;; http://angg.twu.net/dednat4/dednat4.el.html
;; http://angg.twu.net/dednat4/dednat4.el
;; This is part of dednat4.
;; See: http://angg.twu.net/dednat4.html
;; Version: 2008jul10

;; (find-angg ".emacs" "dednat4")
;; (find-angg ".emacs" "dednat4-setup")
;; (find-angg ".emacs" "eedn4-51")
;; (find-angg ".emacs" "eedn4a")
;; (find-angg ".emacs" "eepitch-dednat4")
;; (find-angg ".zshrc" "rexdvi")

;; THIS FILE IS NOT READY YET!!!!!!

;; I just copied some functions from my .emacs to this file... I have
;; not yet tested this to see if these functions work when we load
;; only eev and dednat4.el...

(error "dednat4.el is not ready yet! Don't try to load it!...")

;; Stop reading here! Don't waste your time!



;; .EEDN4DIR		(to "EEDN4DIR")
;; .dednat4		(to "dednat4")

;; .dednames		(to "dednames")
;; .diagskel		(to "diagskel")

;; EEDN4DIR  (to ".EEDN4DIR")
;; (find-eev "eev.el")
;; (find-eevfile "eev.el" "ee-setenv \"EEVDIR\"")





;;---------------------------------
;; dednat4  (to ".dednat4")
;; (find-dn4 "Makefile")
;; (find-dn4ex "dednat4.el")
;; (find-node "(web2c)tex invocation")
;; (find-node "(kpathsea)Path sources")
;; (find-es "tex" "TEXINPUTS")
;;
;; (find-dednat4 "examples/edrxmain.tex")
;; (find-dn4 "README" "eedn4-lisp")
;; (find-dn4file "")
;; (find-fline "~/LATEX/
;;
;; dednat4-setup  (to ".dednat4-setup")
;; (find-dn4ex "")
;; (find-dn4 "")
;; (find-dn4 "downloads/")
;; (find-dn4 "Makefile")


(defun eedn4 (s e)
"Write the region between S and E to ~/LATEX/ee.tex and write an
e-script to $EE; then running `ee' in a shell will run
dednat4.lua and after that latex on ~/LATEX/tmp.tex (tmp.tex is a
wrapper around ee.tex) and display the resulting DVI file.
See: (find-efunction 'eedn4)
     (find-fline \"~/LATEX/tmp.tex\")
     (find-fline \"~/LATEX/ee.tex\")"
  (interactive "r")
  (ee-write s e "" "" "~/LATEX/ee.tex")
  (eev "cd ~/LATEX/ &&
        cp -v edrxmain.tex tmp.tex &&
        ~/dednat4/dednat4.lua tmp.tex &&
        latex tmp.tex &&
        rexdvi tmp.dvi"))

(eeb-define 'eedn4-bounded     'eedn4  'ee-delimiter-percent nil t t)
(eeb-define 'eedn4-%%-bounded  'eedn4  "\n%%\n" nil t t)

(defun eedn4-script (&optional dir tmptex prog)
  (ee-template
   `(("~/LATEX/"       ,(or dir    "~/LATEX/"))
     ("edrxmain41.tex" ,(or tmptex "edrxmain41.tex"))
     ("dednat4"        ,(or prog   "~/dednat4/dednat4"))
     ("rexdvi"         ,(or rexdvi "rexdvi")))
   "cd {~/LATEX/} &&
    cp -v {edrxmain41.tex} tmp.tex &&
    {dednat4} tmp.tex &&
    latex tmp.tex &&
    rexdvi tmp.dvi"))

;; (eedn4-script)


;; eedn4-51  (to ".eedn4-51")
;; (find-dn4ex "edrxmain41.tex")
;;
(defun eedn4-51 (s &optional e)
  "Same as eedn4, but using lua51"
  (interactive "r")
  (ee-write s e "" "" "~/LATEX/ee.tex")
  (eev "cd ~/LATEX/ &&
    cp -v edrxmain41.tex tmp.tex &&
    ~/dednat4/dednat4 tmp.tex &&
    latex tmp.tex &&
    rexdvi tmp.dvi"))

(defun eedn4-51 (s &optional e)
  "Same as eedn4, but using dednat4, which uses lua51.
See: (eedn4-script \"~/LATEX/\" \"edrxmain41.tex\" \"~/dednat4/dednat4\")"
  (interactive "r")
  (ee-write s e "" "" "~/LATEX/ee.tex")
  (eev (eedn4-script "~/LATEX/" "edrxmain41.tex" "~/dednat4/dednat4")))


(eeb-define 'eedn4-51-bounded  'eedn4-51  'ee-delimiter-percent nil t t)

;; eedn4a  (to ".eedn4a")
;; (find-dn4ex "edrxmain41a.tex")
;;
(defun eedn4a (s &optional e)
  "Same as eedn4-51, but using \\documentclass[article]."
  (interactive "r")
  (ee-write s e "" "" "~/LATEX/ee.tex")
  (eev "cd ~/LATEX/ &&
        cp -v edrxmain41a.tex tmp.tex &&
        ~/dednat4/dednat4 tmp.tex &&
        latex tmp.tex &&
        rexdvi tmp.dvi"))

(eeb-define 'eedn4a-bounded  'eedn4a  'ee-delimiter-percent nil t t)


;; dednames  (to ".dednames")
(defun dednames () (interactive)
  (kill-region (point) (mark))
  (yank)
  (yank)
  (shell-command-on-region
   (point) (mark)
   "~/dednat4/dednames" t t))

;; diagskel  (to ".diagskel")
(defun diagskel ()
  (interactive)
  (insert "
%D diagram ??
%D 2Dx     100
%D 2D  100
%D 2D
%D 2D  +20
%D 2D
%D ((
%D
%D ))
%D enddiagram
%D
$$\\diag{??}$$
"))





;; Local Variables:
;; coding: raw-text-unix
;; End:
